uk.gov.hmrc.objectstore.client.model

# objectstore

#### package objectstore

Visibility

1. Public
2. All

### Type Members

1. #### case class Object[CONTENT](location: String, content: CONTENT, metadata: ObjectMetadata) extends Product with Serializable

2. #### final case class ObjectListing(objectSummaries: List[ObjectSummary]) extends Product with Serializable

3. #### final case class ObjectMetadata(contentType: String, contentLength: Long, contentMd5: String, lastModified: Instant, userMetadata: Map[String, String]) extends Product with Serializable

4. #### final case class ObjectSummary(location: String, contentType: String, contentLength: Long, contentMd5: String, lastModified: Instant) extends Product with Serializable

### Ungrouped